Поиск:

Ответ в темуСоздание новой темы Создание опроса
> Проблема с Rmagick 
:(
    Опции темы
niksan
  Дата 27.4.2010, 15:27 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



Я новичек в Rails. Начал делать свой первый сайт - каталог товаров. у разделов каталога есть имя, описание и изображение. Установил плагин, сделал модель, вид, контроллер.. при попытке запуска я получил следующее сообщение "This installation of RMagick was configured with ImageMagick 6.5.5 but ImageMagick 6.5.7-10 is in use." Подскажите, пожалуйста, как можно бороться с этой ошибкой? У меня стоит Ubuntu 10.04
PM MAIL WWW ICQ   Вверх
source777
Дата 27.4.2010, 22:00 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Эксперт
***


Профиль
Группа: Завсегдатай
Сообщений: 1878
Регистрация: 12.3.2007

Репутация: нет
Всего: 56



Цитата(niksan @  27.4.2010,  15:27 Найти цитируемый пост)
Подскажите, пожалуйста, как можно бороться с этой ошибкой? 

Ну тут вроде всё очевидно: либо пересобирай(удали и установи заново) RMagick, либо откатывай ImageMagick на версию 6.5.5.

Цитата(niksan @  27.4.2010,  15:27 Найти цитируемый пост)
Я новичек в Rails.

да вопрос собственно никакого отношения к Rails и не имеет  smile 

Это сообщение отредактировал(а) source777 - 27.4.2010, 22:01


--------------------
Если бы программистам платили за то, чтобы убирать код из программы вместо того, чтобы добавлять его, программы были бы намного лучше © Николас Негропонте
PM MAIL   Вверх
niksan
Дата 28.4.2010, 09:13 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



А как удалить гем?
PM MAIL WWW ICQ   Вверх
niksan
Дата 28.4.2010, 12:51 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



все, разобрался, все заработало, спасибо ) Удалил и ImageMagick и RMagick, собрал, все заработало )
PM MAIL WWW ICQ   Вверх
niksan
Дата 28.4.2010, 15:02 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



Нет соврал.. 
Собрал.. теперь выводится
Код

This installation of RMagick was configured with ImageMagick 6.6.1 but ImageMagick 6.5.7-10 is in use.

То есть RMagick пересобрался под новую версию ImageMagick.
А вот что пишет консолька:
Код

[email protected]:~/Downloads/ImageMagick2$ identify -version
Version: ImageMagick 6.6.1-5 2010-04-28 Q8 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2010 ImageMagick Studio LLC
Features: OpenMP

Почему Rails думает, что работает другая версия ImageMagick? Или она на самом деле работает?
PM MAIL WWW ICQ   Вверх
source777
Дата 28.4.2010, 20:23 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Эксперт
***


Профиль
Группа: Завсегдатай
Сообщений: 1878
Регистрация: 12.3.2007

Репутация: нет
Всего: 56



Цитата(niksan @  28.4.2010,  12:51 Найти цитируемый пост)
Удалил и ImageMagick и RMagick, собрал, все заработало

Я же сказал либо то, либо другое. Сделав и то и другое ты получил несовместимость в обратную сторону.

Цитата(niksan @  28.4.2010,  15:02 Найти цитируемый пост)
Почему Rails думает, что работает другая версия ImageMagick? Или она на самом деле работает? 

Rails вообще ничего не думает про это. RMagick - это ruby-биндинг для ImageMagick, при установке гема он конфигурируется под ту версию ImageMagick, которая у тебя установлена. При обновлении ImageMagick надо пересобирать RMagick. Всё элементарно, Ватсон.


--------------------
Если бы программистам платили за то, чтобы убирать код из программы вместо того, чтобы добавлять его, программы были бы намного лучше © Николас Негропонте
PM MAIL   Вверх
niksan
Дата 29.4.2010, 08:37 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



Так я же все и пересобрал.
Код

[email protected]:~/Downloads/ImageMagick2$ identify -version
Version: ImageMagick 6.6.1-5 2010-04-28 Q8 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2010 ImageMagick Studio LLC
Features: OpenMP

Теперь у меня ImageMagick 6.6.1-5
А при запуске Rails приложения пишет что у меня : 6.5.7
Код

This installation of RMagick was configured with ImageMagick 6.6.1 but ImageMagick 6.5.7-10 is in use.

PM MAIL WWW ICQ   Вверх
source777
Дата 29.4.2010, 17:57 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Эксперт
***


Профиль
Группа: Завсегдатай
Сообщений: 1878
Регистрация: 12.3.2007

Репутация: нет
Всего: 56



Цитата(niksan @  29.4.2010,  08:37 Найти цитируемый пост)
Так я же все и пересобрал.

Ну так ты после того как пересобрал, откатил версию ImageMagick, что уже было лишним и необдуманным шагом.


--------------------
Если бы программистам платили за то, чтобы убирать код из программы вместо того, чтобы добавлять его, программы были бы намного лучше © Николас Негропонте
PM MAIL   Вверх
niksan
Дата 29.4.2010, 18:22 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



Цитата(source777 @ 29.4.2010,  17:57)
Цитата(niksan @  29.4.2010,  08:37 Найти цитируемый пост)
Так я же все и пересобрал.

Ну так ты после того как пересобрал, откатил версию ImageMagick, что уже было лишним и необдуманным шагом.

Я сначала ImageMagick переустановил, а потом уже RMagick собирал, ничего не откатывал обратно.. Rails показывает ошибку, что у меня стоит "6.5.7", а если через консоль запросить версию ImageMagick, то она такая, какая и должна быть, под которую сконфигурирован RMagick, то есть "6.6.1"

Это сообщение отредактировал(а) niksan - 29.4.2010, 18:22
PM MAIL WWW ICQ   Вверх
source777
Дата 29.4.2010, 19:32 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Эксперт
***


Профиль
Группа: Завсегдатай
Сообщений: 1878
Регистрация: 12.3.2007

Репутация: нет
Всего: 56



Цитата(niksan @  29.4.2010,  18:22 Найти цитируемый пост)
Я сначала ImageMagick переустановил, ничего не откатывал обратно..

Нахрена? Нахрена ты установил 3 версии ImageMagick?

В общем, RTFM, если по-русски не понимаешь...


--------------------
Если бы программистам платили за то, чтобы убирать код из программы вместо того, чтобы добавлять его, программы были бы намного лучше © Николас Негропонте
PM MAIL   Вверх
niksan
Дата 30.4.2010, 08:59 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 25
Регистрация: 13.9.2009
Где: Воронеж

Репутация: нет
Всего: нет



Буду читать..
PM MAIL WWW ICQ   Вверх
Google
  Дата 8.12.2019, 10:36 (ссылка)  





  Вверх
  
Ответ в темуСоздание новой темы Создание опроса
0 Пользователей читают эту тему (0 Гостей и 0 Скрытых Пользователей)
0 Пользователей:
« Предыдущая тема | Ruby: Библиотеки | Следующая тема »


 




[ Время генерации скрипта: 0.0944 ]   [ Использовано запросов: 22 ]   [ GZIP включён ]


Реклама на сайте     Информационное спонсорство

 
По вопросам размещения рекламы пишите на vladimir(sobaka)vingrad.ru
Отказ от ответственности     Powered by Invision Power Board(R) 1.3 © 2003  IPS, Inc.